> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get articles by store id

> Retrieve the list of articles based on specific search criteria. At least one query parameter needs to be supplied. 



## OpenAPI

````yaml openapi/product-catalog-v2.json GET /v2/stores/{storeId}/articles
openapi: 3.0.4
info:
  title: ProductCatalog.Api 2.0
  version: '2.0'
servers:
  - url: https://{host}/product-catalog
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security: []
paths:
  /v2/stores/{storeId}/articles:
    get:
      tags:
        - Articles
      summary: Get articles by store id
      description: >-
        Retrieve the list of articles based on specific search criteria. At
        least one query parameter needs to be supplied. 
      parameters:
        - name: storeId
          in: path
          description: Specified store id for articles retrieval
          required: true
          schema:
            type: string
        - name: isWithoutBarcode
          in: query
          description: Whether we get articles with or without barcode
          schema:
            type: boolean
        - name: articleIds
          in: query
          description: The articleIds to be returned in the response
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/ProductCatalog.Contracts.Response.ArticleResponse
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/ProductCatalog.Contracts.Response.ArticleResponse
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/ProductCatalog.Contracts.Response.ArticleResponse
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
components:
  schemas:
    ProductCatalog.Contracts.Response.ArticleResponse:
      type: object
      properties:
        articleId:
          type: string
          description: The article identifier (articleId, sku)
        name:
          type: string
          description: The name of the article
        eans:
          type: array
          items:
            type: string
          description: The list of eans of a product
        category:
          $ref: >-
            #/components/schemas/ProductCatalog.Contracts.Response.CategoryResponse
        units:
          type: number
          description: The article units.
          format: double
        hierarchyId:
          type: string
          description: The hierarchy id
          nullable: true
        storeId:
          type: string
          description: The store identifier for the article
        salePrice:
          type: number
          description: The sale price of the article
          format: double
        unitOfMeasure:
          $ref: '#/components/schemas/ProductCatalog.Contracts.Response.UnitType'
        taxCode:
          type: string
          description: The tax code
        pricePerUnit:
          type: number
          description: The price per unit
          format: double
        pricePerPiece:
          type: number
          description: The price per piec
          format: double
        isWeightable:
          type: boolean
          description: Indicates whether the article can be weighed or not
          nullable: true
        unitsPerPiece:
          type: number
          description: The amount of units that a piece contains
          format: double
          nullable: true
        restrictions:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProductCatalog.Contracts.Common.ProductRestrictionType
          description: The list of restrictions
        createdDate:
          type: string
          description: The created date
          format: date-time
          nullable: true
        lastUpdateDate:
          type: string
          description: The last update date
          format: date-time
          nullable: true
        imageUrl:
          type: string
          description: Article Image URL
          nullable: true
        depositItem:
          $ref: >-
            #/components/schemas/ProductCatalog.Contracts.Response.LinkedItemResponse
        hamperItems:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProductCatalog.Contracts.Response.LinkedItemResponse
          description: The list of hamper items
          nullable: true
      additionalProperties: false
      description: Represents Article response
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
    ProductCatalog.Contracts.Response.CategoryResponse:
      type: object
      properties:
        id:
          type: string
          description: The id of the category
        name:
          type: string
          description: The name of the category
        groupName:
          type: string
          description: Generic category
      additionalProperties: false
      description: The article category
    ProductCatalog.Contracts.Response.UnitType:
      enum:
        - Kg
        - Piece
        - Liter
      type: string
      description: The unit type
    ProductCatalog.Contracts.Common.ProductRestrictionType:
      enum:
        - Age16
        - Age18
        - Age20
        - AlcoholOnElections
      type: string
      description: The restriction type applied to a product.
    ProductCatalog.Contracts.Response.LinkedItemResponse:
      type: object
      properties:
        articleId:
          type: string
          description: The article identifier (articleId, sku)
        name:
          type: string
          description: The name of the article
        eans:
          type: array
          items:
            type: string
          description: The list of eans of a product
        category:
          $ref: >-
            #/components/schemas/ProductCatalog.Contracts.Response.CategoryResponse
        units:
          type: number
          description: The article units.
          format: double
        hierarchyId:
          type: string
          description: The hierarchy id
          nullable: true
        storeId:
          type: string
          description: The store identifier for the article
        salePrice:
          type: number
          description: The sale price of the article
          format: double
        unitOfMeasure:
          $ref: '#/components/schemas/ProductCatalog.Contracts.Response.UnitType'
        taxCode:
          type: string
          description: The tax code
        pricePerUnit:
          type: number
          description: The price per unit
          format: double
        pricePerPiece:
          type: number
          description: The price per piec
          format: double
        isWeightable:
          type: boolean
          description: Indicates whether the article can be weighed or not
          nullable: true
        unitsPerPiece:
          type: number
          description: The amount of units that a piece contains
          format: double
          nullable: true
        restrictions:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProductCatalog.Contracts.Common.ProductRestrictionType
          description: The list of restrictions
        createdDate:
          type: string
          description: The created date
          format: date-time
          nullable: true
        lastUpdateDate:
          type: string
          description: The last update date
          format: date-time
          nullable: true
        imageUrl:
          type: string
          description: Article Image URL
          nullable: true
      additionalProperties: false

````